[arch-commits] Commit in dkms/repos (11 files)

Sébastien Luttringer seblu at archlinux.org
Thu Jun 1 18:55:35 UTC 2017


    Date: Thursday, June 1, 2017 @ 18:55:33
  Author: seblu
Revision: 297325

db-move: moved dkms from [testing] to [extra] (any)

Added:
  dkms/repos/extra-any/PKGBUILD
    (from rev 297324, dkms/repos/testing-any/PKGBUILD)
  dkms/repos/extra-any/dkms.install
    (from rev 297324, dkms/repos/testing-any/dkms.install)
  dkms/repos/extra-any/hook.install
    (from rev 297324, dkms/repos/testing-any/hook.install)
  dkms/repos/extra-any/hook.remove
    (from rev 297324, dkms/repos/testing-any/hook.remove)
  dkms/repos/extra-any/hook.sh
    (from rev 297324, dkms/repos/testing-any/hook.sh)
Deleted:
  dkms/repos/extra-any/PKGBUILD
  dkms/repos/extra-any/dkms.install
  dkms/repos/extra-any/hook.install
  dkms/repos/extra-any/hook.remove
  dkms/repos/extra-any/hook.sh
  dkms/repos/testing-any/

------------------------+
 /PKGBUILD              |   64 ++++++++++++++++++++++
 /dkms.install          |   13 ++++
 /hook.install          |   14 ++++
 /hook.remove           |   16 +++++
 /hook.sh               |  133 +++++++++++++++++++++++++++++++++++++++++++++++
 extra-any/PKGBUILD     |   64 ----------------------
 extra-any/dkms.install |   13 ----
 extra-any/hook.install |   14 ----
 extra-any/hook.remove  |   16 -----
 extra-any/hook.sh      |  133 -----------------------------------------------
 10 files changed, 240 insertions(+), 240 deletions(-)

Deleted: extra-any/PKGBUILD
===================================================================
--- extra-any/PKGBUILD	2017-06-01 18:55:27 UTC (rev 297324)
+++ extra-any/PKGBUILD	2017-06-01 18:55:33 UTC (rev 297325)
@@ -1,64 +0,0 @@
-# $Id$
-# Maintainer: Sébastien Luttringer
-# Contributor: Balwinder S "bsd" Dheeman (bdheeman AT gmail.com)
-
-pkgname=dkms
-pkgver=2.3
-pkgrel=2
-pkgdesc='Dynamic Kernel Modules System'
-arch=('any')
-url='https://github.com/dell/dkms'
-license=('GPL2')
-depends=('bash' 'kmod' 'gcc' 'make' 'patch')
-makedepends=('git')
-optdepends=('linux-headers: build modules against the Arch kernel'
-            'linux-lts-headers: build modules against the LTS kernel'
-            'linux-zen-headers: build modules against the ZEN kernel'
-            'linux-grsec-headers: build modules against the GRSEC kernel')
-backup=('etc/dkms/framework.conf')
-install=$pkgname.install
-source=("git+https://github.com/dell/dkms.git#tag=$pkgver"
-        'hook.install'
-        'hook.remove'
-        'hook.sh')
-md5sums=('SKIP'
-         '2dfc9905738199bf1fdbaa08d306e265'
-         '4d959fdd4f168b5a6921712404066566'
-         'f1ea074ef22d1afe855a1eb63233566b')
-
-prepare() {
-  cd dkms
-
-  # apply patch from the source array (should be a pacman feature)
-  local filename
-  for filename in "${source[@]}"; do
-    if [[ "$filename" =~ \.patch$ ]]; then
-      msg2 "Applying patch ${filename##*/}"
-      patch -p1 -N -i "$srcdir/${filename##*/}"
-    fi
-  done
-
-  # /usr move
-  msg2 '/usr move patching'
-  for i in dkms{,_framework.conf,.bash-completion,.8,_common.postinst}; do
-    sed -ri 's,/lib/modules,/usr/lib/modules,g' "$i"
-  done
-}
-
-package() {
-  # alpm hook
-  install -D -m 644 hook.install "$pkgdir/usr/share/libalpm/hooks/70-dkms-install.hook"
-  install -D -m 644 hook.remove "$pkgdir/usr/share/libalpm/hooks/70-dkms-remove.hook"
-  install -D -m 755 hook.sh "$pkgdir/usr/lib/dkms/alpm-hook"
-  # upstream installer
-  cd dkms
-  # we don't need kconf files, so we install them outside $pkgdir
-  make \
-    DESTDIR="$pkgdir" \
-    SBIN="$pkgdir/usr/bin" \
-    BASHDIR="$pkgdir/usr/share/bash-completion/completions" \
-    KCONF="$srcdir"/kconf \
-    install
-}
-
-# vim:set ts=2 sw=2 et:

Copied: dkms/repos/extra-any/PKGBUILD (from rev 297324, dkms/repos/testing-any/PKGBUILD)
===================================================================
--- extra-any/PKGBUILD	                        (rev 0)
+++ extra-any/PKGBUILD	2017-06-01 18:55:33 UTC (rev 297325)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Sébastien Luttringer
+# Contributor: Balwinder S "bsd" Dheeman (bdheeman AT gmail.com)
+
+pkgname=dkms
+pkgver=2.4.0
+pkgrel=1
+pkgdesc='Dynamic Kernel Modules System'
+arch=('any')
+url='https://github.com/dell/dkms'
+license=('GPL2')
+depends=('bash' 'kmod' 'gcc' 'make' 'patch')
+makedepends=('git')
+optdepends=('linux-headers: build modules against the Arch kernel'
+            'linux-lts-headers: build modules against the LTS kernel'
+            'linux-zen-headers: build modules against the ZEN kernel'
+            'linux-grsec-headers: build modules against the GRSEC kernel')
+backup=('etc/dkms/framework.conf')
+install=$pkgname.install
+source=("git+https://github.com/dell/dkms.git#tag=v$pkgver"
+        'hook.install'
+        'hook.remove'
+        'hook.sh')
+md5sums=('SKIP'
+         '2dfc9905738199bf1fdbaa08d306e265'
+         '4d959fdd4f168b5a6921712404066566'
+         'f1ea074ef22d1afe855a1eb63233566b')
+
+prepare() {
+  cd dkms
+
+  # apply patch from the source array (should be a pacman feature)
+  local filename
+  for filename in "${source[@]}"; do
+    if [[ "$filename" =~ \.patch$ ]]; then
+      msg2 "Applying patch ${filename##*/}"
+      patch -p1 -N -i "$srcdir/${filename##*/}"
+    fi
+  done
+
+  # /usr move
+  msg2 '/usr move patching'
+  for i in dkms{,_framework.conf,.bash-completion,.8,_common.postinst}; do
+    sed -ri 's,/lib/modules,/usr/lib/modules,g' "$i"
+  done
+}
+
+package() {
+  # alpm hook
+  install -D -m 644 hook.install "$pkgdir/usr/share/libalpm/hooks/70-dkms-install.hook"
+  install -D -m 644 hook.remove "$pkgdir/usr/share/libalpm/hooks/70-dkms-remove.hook"
+  install -D -m 755 hook.sh "$pkgdir/usr/lib/dkms/alpm-hook"
+  # upstream installer
+  cd dkms
+  # we don't need kconf files, so we install them outside $pkgdir
+  make \
+    DESTDIR="$pkgdir" \
+    SBIN="$pkgdir/usr/bin" \
+    BASHDIR="$pkgdir/usr/share/bash-completion/completions" \
+    KCONF="$srcdir"/kconf \
+    install
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: extra-any/dkms.install
===================================================================
--- extra-any/dkms.install	2017-06-01 18:55:27 UTC (rev 297324)
+++ extra-any/dkms.install	2017-06-01 18:55:33 UTC (rev 297325)
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  if (( "$(vercmp $2 '2.2.0.3+git151023-2')" < 0 )); then
-    echo '===> dkms systemd startup service has been removed'
-    echo '===> modules building is now handled by alpm hooks at install time'
-    echo '===> startup modules loading must be done via modules-load.d'
-  fi
-}
-
-# vim:set ts=2 sw=2 ft=sh et:

Copied: dkms/repos/extra-any/dkms.install (from rev 297324, dkms/repos/testing-any/dkms.install)
===================================================================
--- extra-any/dkms.install	                        (rev 0)
+++ extra-any/dkms.install	2017-06-01 18:55:33 UTC (rev 297325)
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  if (( "$(vercmp $2 '2.2.0.3+git151023-2')" < 0 )); then
+    echo '===> dkms systemd startup service has been removed'
+    echo '===> modules building is now handled by alpm hooks at install time'
+    echo '===> startup modules loading must be done via modules-load.d'
+  fi
+}
+
+# vim:set ts=2 sw=2 ft=sh et:

Deleted: extra-any/hook.install
===================================================================
--- extra-any/hook.install	2017-06-01 18:55:27 UTC (rev 297324)
+++ extra-any/hook.install	2017-06-01 18:55:33 UTC (rev 297325)
@@ -1,14 +0,0 @@
-[Trigger]
-Operation = Install
-Operation = Upgrade
-Type = File
-Target = usr/src/*/dkms.conf
-Target = usr/lib/modules/*/build/include/
-Target = usr/lib/modules/*/kernel/
-
-[Action]
-Description = Install DKMS modules
-Depends = dkms
-When = PostTransaction
-Exec = /usr/lib/dkms/alpm-hook install
-NeedsTargets

Copied: dkms/repos/extra-any/hook.install (from rev 297324, dkms/repos/testing-any/hook.install)
===================================================================
--- extra-any/hook.install	                        (rev 0)
+++ extra-any/hook.install	2017-06-01 18:55:33 UTC (rev 297325)
@@ -0,0 +1,14 @@
+[Trigger]
+Operation = Install
+Operation = Upgrade
+Type = File
+Target = usr/src/*/dkms.conf
+Target = usr/lib/modules/*/build/include/
+Target = usr/lib/modules/*/kernel/
+
+[Action]
+Description = Install DKMS modules
+Depends = dkms
+When = PostTransaction
+Exec = /usr/lib/dkms/alpm-hook install
+NeedsTargets

Deleted: extra-any/hook.remove
===================================================================
--- extra-any/hook.remove	2017-06-01 18:55:27 UTC (rev 297324)
+++ extra-any/hook.remove	2017-06-01 18:55:33 UTC (rev 297325)
@@ -1,16 +0,0 @@
-[Trigger]
-Operation = Upgrade
-Operation = Remove
-Type = File
-Target = usr/src/*/dkms.conf
-Target = usr/lib/modules/*/build/include/
-Target = usr/lib/modules/*/kernel/
-
-[Action]
-Description = Remove DKMS modules
-Depends = dkms
-When = PreTransaction
-# SIGPIPE workaround. See FS#49816
-#Exec = /usr/lib/dkms/alpm-hook remove
-Exec = /usr/bin/perl -e "$SIG{PIPE}='DEFAULT'; exec('/usr/lib/dkms/alpm-hook', 'remove');"
-NeedsTargets

Copied: dkms/repos/extra-any/hook.remove (from rev 297324, dkms/repos/testing-any/hook.remove)
===================================================================
--- extra-any/hook.remove	                        (rev 0)
+++ extra-any/hook.remove	2017-06-01 18:55:33 UTC (rev 297325)
@@ -0,0 +1,16 @@
+[Trigger]
+Operation = Upgrade
+Operation = Remove
+Type = File
+Target = usr/src/*/dkms.conf
+Target = usr/lib/modules/*/build/include/
+Target = usr/lib/modules/*/kernel/
+
+[Action]
+Description = Remove DKMS modules
+Depends = dkms
+When = PreTransaction
+# SIGPIPE workaround. See FS#49816
+#Exec = /usr/lib/dkms/alpm-hook remove
+Exec = /usr/bin/perl -e "$SIG{PIPE}='DEFAULT'; exec('/usr/lib/dkms/alpm-hook', 'remove');"
+NeedsTargets

Deleted: extra-any/hook.sh
===================================================================
--- extra-any/hook.sh	2017-06-01 18:55:27 UTC (rev 297324)
+++ extra-any/hook.sh	2017-06-01 18:55:33 UTC (rev 297325)
@@ -1,133 +0,0 @@
-#!/bin/bash
-
-#
-# Copyright © 2017 Sébastien Luttringer
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License
-# as published by the Free Software Foundation; either version 2
-# of the License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-# display what to run and run it quietly
-run() {
-	echo "==> $*"
-	"$@" > /dev/null
-}
-
-# check kernel is valid for action
-# it means kernel and its headers are installed
-# $1: kernel version
-check_kernel() {
-	local kver="$1"; shift
-	if [[ ! -d "$install_tree/$kver/kernel" ]]; then
-		echo "==> No kernel $kver modules. You must install them to use DKMS!"
-		return 1
-	elif [[ ! -d "$install_tree/$kver/build/include" ]]; then
-		echo "==> No kernel $kver headers. You must install them to use DKMS!"
-		return 1
-	fi
-	return 0
-}
-
-# handle actions on module addition/upgrade/removal
-# $1: module name
-# $2: module version
-# $3: dkms action
-parse_module() {
-	pushd "$install_tree" >/dev/null
-	local path
-	for path in */build/; do
-		local kver="${path%%/*}"
-		dkms_register "$1" "$2" "$kver" "$3"
-	done
-	popd >/dev/null
-}
-
-# handle actions on kernel addition/upgrade/removal
-# $1: kernel version
-# $2: dkms action
-parse_kernel() {
-	local path
-	for path in "$source_tree"/*-*/dkms.conf; do
-		if [[ -f "$path" && "$path" =~ ^$source_tree/([^/]+)-([^/]+)/dkms\.conf$ ]]; then
-			dkms_register "${BASH_REMATCH[1]}" "${BASH_REMATCH[2]}" "$1" "$2"
-		fi
-	done
-}
-
-# register a dkms call
-# this function suppress echo call for a module
-# $1: module name, $2: module version, $3: kernel version, $4: action
-dkms_register() {
-	DKMS_ACTION["$1/$2/$3"]="$4"
-}
-
-# run registered dkms commands
-dkms_run() {
-	local nvk mod kver
-	for nvk in "${!DKMS_ACTION[@]}"; do
-		mod=${nvk%/*}
-		kver=${nvk##*/}
-		check_kernel "$kver" || continue
-		run dkms "${DKMS_ACTION[$nvk]}" "$mod" -k "$kver"
-	done
-}
-
-# emulated program entry point
-main() {
-	[[ -n "$DKMS_ALPM_HOOK_DEBUG" ]] && set -x
-
-	# prevent to have all each dkms call to fail
-	if (( EUID )); then
-		echo 'You must be root to use this hook' >&2
-		exit 1
-	fi
-
-	# check args count
-	if (( $# < 1 )); then
-		echo "usage: ${0##*/} dkms-arguments" >&2
-		exit 1
-	fi
-
-	# dkms path from framework config
-	# note: the alpm hooks which trigger this script use static path
-	source_tree='/usr/src'
-	install_tree='/usr/lib/modules'
-	source /etc/dkms/framework.conf
-
-	# check source_tree and install_tree exists
-	local path
-	for path in "$source_tree" "$install_tree"; do
-		if [[ ! -d "$path" ]]; then
-			echo "==> Missing mandatory directory: $path. Exiting!"
-			return 1
-		fi
-	done
-
-	# Storage for DKMS action to run
-	declare -A DKMS_ACTION
-
-	# parse stdin paths to guess what do do
-	while read -r path; do
-		if [[ "/$path" =~ ^$source_tree/([^/]+)-([^/]+)/dkms\.conf$ ]]; then
-			parse_module "${BASH_REMATCH[1]}" "${BASH_REMATCH[2]}" "$@"
-		elif [[ "/$path" =~ ^$install_tree/([^/]+)/ ]]; then
-			parse_kernel "${BASH_REMATCH[1]}" "$@"
-		fi
-	done
-
-	dkms_run
-
-	return 0
-}
-
-main "$@"

Copied: dkms/repos/extra-any/hook.sh (from rev 297324, dkms/repos/testing-any/hook.sh)
===================================================================
--- extra-any/hook.sh	                        (rev 0)
+++ extra-any/hook.sh	2017-06-01 18:55:33 UTC (rev 297325)
@@ -0,0 +1,133 @@
+#!/bin/bash
+
+#
+# Copyright © 2017 Sébastien Luttringer
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+# display what to run and run it quietly
+run() {
+	echo "==> $*"
+	"$@" > /dev/null
+}
+
+# check kernel is valid for action
+# it means kernel and its headers are installed
+# $1: kernel version
+check_kernel() {
+	local kver="$1"; shift
+	if [[ ! -d "$install_tree/$kver/kernel" ]]; then
+		echo "==> No kernel $kver modules. You must install them to use DKMS!"
+		return 1
+	elif [[ ! -d "$install_tree/$kver/build/include" ]]; then
+		echo "==> No kernel $kver headers. You must install them to use DKMS!"
+		return 1
+	fi
+	return 0
+}
+
+# handle actions on module addition/upgrade/removal
+# $1: module name
+# $2: module version
+# $3: dkms action
+parse_module() {
+	pushd "$install_tree" >/dev/null
+	local path
+	for path in */build/; do
+		local kver="${path%%/*}"
+		dkms_register "$1" "$2" "$kver" "$3"
+	done
+	popd >/dev/null
+}
+
+# handle actions on kernel addition/upgrade/removal
+# $1: kernel version
+# $2: dkms action
+parse_kernel() {
+	local path
+	for path in "$source_tree"/*-*/dkms.conf; do
+		if [[ -f "$path" && "$path" =~ ^$source_tree/([^/]+)-([^/]+)/dkms\.conf$ ]]; then
+			dkms_register "${BASH_REMATCH[1]}" "${BASH_REMATCH[2]}" "$1" "$2"
+		fi
+	done
+}
+
+# register a dkms call
+# this function suppress echo call for a module
+# $1: module name, $2: module version, $3: kernel version, $4: action
+dkms_register() {
+	DKMS_ACTION["$1/$2/$3"]="$4"
+}
+
+# run registered dkms commands
+dkms_run() {
+	local nvk mod kver
+	for nvk in "${!DKMS_ACTION[@]}"; do
+		mod=${nvk%/*}
+		kver=${nvk##*/}
+		check_kernel "$kver" || continue
+		run dkms "${DKMS_ACTION[$nvk]}" "$mod" -k "$kver"
+	done
+}
+
+# emulated program entry point
+main() {
+	[[ -n "$DKMS_ALPM_HOOK_DEBUG" ]] && set -x
+
+	# prevent to have all each dkms call to fail
+	if (( EUID )); then
+		echo 'You must be root to use this hook' >&2
+		exit 1
+	fi
+
+	# check args count
+	if (( $# < 1 )); then
+		echo "usage: ${0##*/} dkms-arguments" >&2
+		exit 1
+	fi
+
+	# dkms path from framework config
+	# note: the alpm hooks which trigger this script use static path
+	source_tree='/usr/src'
+	install_tree='/usr/lib/modules'
+	source /etc/dkms/framework.conf
+
+	# check source_tree and install_tree exists
+	local path
+	for path in "$source_tree" "$install_tree"; do
+		if [[ ! -d "$path" ]]; then
+			echo "==> Missing mandatory directory: $path. Exiting!"
+			return 1
+		fi
+	done
+
+	# Storage for DKMS action to run
+	declare -A DKMS_ACTION
+
+	# parse stdin paths to guess what do do
+	while read -r path; do
+		if [[ "/$path" =~ ^$source_tree/([^/]+)-([^/]+)/dkms\.conf$ ]]; then
+			parse_module "${BASH_REMATCH[1]}" "${BASH_REMATCH[2]}" "$@"
+		elif [[ "/$path" =~ ^$install_tree/([^/]+)/ ]]; then
+			parse_kernel "${BASH_REMATCH[1]}" "$@"
+		fi
+	done
+
+	dkms_run
+
+	return 0
+}
+
+main "$@"



More information about the arch-commits mailing list